Uelsk8s avatar Uelsk8s committed 9faaafb

added VL-ISO-LIGHT

Comments (0)

Files changed (35)

var/vabs/VL-ISO-LIGHT/src/VL-ISO-LIGHT.SlackBuild

+#!/usr/bin/bash
+# This script assumes it will be launched within "/NAME/VERSION/src" dir.
+# With all sources in "src" Your Vector Linux .txz package, slack-desc,
+# and slack-required will be found in "VERSION" dir. The extraction and
+# build will be in a temp dir created in "NAME" dir, and then removed on exit.
+# Comment out second to last line to keep this dir intact.
+#
+# This Template was compiled from the contributions of many users of the Vector
+# Linux forum at http://forum.vectorlinux.com and from tidbits collected 
+# from all over the internet. 
+#
+# Generated by sbbuilder-0.4.14.1, written by Rodrigo Bistolfi 
+# (rbistolfi) and Raimon Grau Cuscó (Kidd) for VectorLinux.
+#
+# Please put your name below if you add some original scripting lines.
+# AUTHORS = 
+
+NAME="VL-ISO"            #Enter package Name!
+VERSION=${VERSION:-"7.1"}      #Enter package Version!
+VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
+VL_PACKAGER=${VL_PACKAGER:-"Uelsk8s"}   #Enter your Name!
+LINK=${LINK:-"http://ftp-osl.osuosl.org/pub/vectorlinux/vec7/VL-SOURCE/$NAME.tar.xz http://ftp-osl.osuosl.org/pub/vectorlinux/vec7/VL-SOURCE/pyinit.lz"}  #Enter URL for package here!}
+
+#SYSTEM VARIABLES
+#----------------------------------------------------------------------------
+BUILDNUM=${BUILDNUM:-"A0.1"}
+VL_VERSION="LIGHT"
+KERN="3.2.39"
+KERNBUILD="1vl71"
+PREV32ISO=${PREV32ISO:-""} #enter last iso, only if you want a delta generated.
+PREV64ISO=${PREV64ISO:-""} #enter last iso, if you want a delta generated.
+CD32NAME="VL-${VERSION}-LIGHT-$BUILDNUM.iso"
+CD64NAME="VL64-${VERSION}-LIGHT-$BUILDNUM.iso"
+ARCH=${ARCH:-"$(uname -m)"}
+CONFIG_OPTIONS=${CONFIG_OPTIONS:-""}
+LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
+ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
+EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
+#MAKEDEPENDS=${MAKEDEPENDS:-""} #Add deps needed TO BUILD this package here.
+MKDEPS=${MKDEPS:-"cdrkit-1.1.11-i586-1vl70.txz bootsplash-3.2.9-i586-1vl70.txz  cpio-2.11-i586-1vl70.txz  lcms-1.19-i586-1vl70.txz  libmng-1.0.10-i586-2vl70.txz "} #Add deps needed TO BUILD this package here.
+#----------------------------------------------------------------------------
+
+# DO NOT EXECUTE if NORUN is set to 1
+if [ "$NORUN" != "1" ]; then
+ifconfig
+#SETUP PACKAGING ENVIRONMENT
+#--------------------------------------------
+CWD=$(pwd)
+cd ../
+RELEASEDIR=$(pwd)
+cd $CWD
+mkdir -p $RELEASEDIR/tmp
+TMP=$RELEASEDIR/tmp
+PKG=$TMP/package-$NAME
+#--------------------------------------------
+
+#GET THE DEPS
+for i in $MKDEPS;do
+  wget 10.0.2.2/pkg/untested/veclinux-7.1/iso/$i
+  installpkg $i
+done
+
+for i in x86 x86_64;do
+ mkdir -p $TMP
+ rm -r /home/ftp/pub/veclinux/packages/*
+ ARCH=$i
+ cp $CWD/slapt-getrc /etc/slapt-get/slapt-getrc
+ sed -i "s/ARCH/$i/" /etc/slapt-get/slapt-getrc
+
+#CFLAGS SETUP
+#--------------------------------------------
+if [[ "$ARCH" = "x86" ]]; then
+  KERNEL="kernel-$KERN-$ARCH-$KERNBUILD"
+  MODULES="kernel-modules-$KERN-$ARCH-$KERNBUILD"
+  ARCH=i586
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  CONFIGURE_TRIPLET="i586-vector-linux"
+  LIBDIRSUFFIX=""
+  THEME=std-7-Boot
+elif [ "$ARCH" = "x86_64" ]; then
+  KERNEL="kernel-$KERN-$ARCH-$KERNBUILD"
+  MODULES="kernel-modules-$KERN-$ARCH-$KERNBUILD"
+  SLKCFLAGS="-O2 -fpic"
+  CONFIGURE_TRIPLET="x86_64-vlocity-linux"
+  LIBDIRSUFFIX="64"
+  THEME=std-71
+elif [ "$ARCH" = "powerpc" ]; then
+  SLKCFLAGS="-O2"
+  CONFIGURE_TRIPLET="powerpc-vlocity-linux"
+  LIBDIRSUFFIX=""
+  THEME=std-71
+fi
+
+export CFLAGS="$SLKCFLAGS $CFLAG_OPTIONS"
+export CXXFLAGS=$CFLAGS
+export LDFLAGS="$LDFLAGS $LDFLAG_OPTIONS"
+CDLABEL="VL${LIBDIRSUFFIX}-$VERSION"
+CDNAME="$CDLABEL-$VL_VERSION-$BUILDNUM.iso"
+REL="${LIBDIRSUFFIX}$VERSION $VL_VERSION $BUILDNUM"
+#--------------------------------------------
+
+if [ $UID != 0 ]; then
+   echo "You are not authorized to run this script. Please login as root"
+   exit 1
+fi
+#GET THE SOURCE
+#--------------------------------------------
+for SRC in $(echo $LINK);do
+if [ ! -f $CWD/$(basename $SRC) ]
+then
+        wget --no-check-certificate -c $SRC
+fi
+done
+#--------------------------------------------
+
+rm -rf $PKG
+cd $TMP
+rm -rf $NAME-$VERSION
+
+#EXTRACT SOURCES
+#-----------------------------------------------------
+echo "Extracting source..."
+mkdir -p $NAME-$VERSION || exit 1
+cd $TMP/$NAME-$VERSION || exit 1
+tar xvf $CWD/$NAME.tar.xz || exit 1
+#-----------------------------------------------------
+
+#SET PERMISSIONS
+#-----------------------------------------
+echo "Setting permissions..."
+chown -R root:root .
+find . -perm 664 -exec chmod 644 {} \;
+find . -perm 777 -exec chmod 755 {} \;
+find . -perm 2777 -exec chmod 755 {} \;
+find . -perm 775 -exec chmod 755 {} \;
+find . -perm 2755 -exec chmod 755 {} \;
+find . -perm 774 -exec chmod 644 {} \;
+find . -perm 666 -exec chmod 644 {} \;
+find . -perm 600 -exec chmod 644 {} \;
+find . -perm 444 -exec chmod 644 {} \;
+find . -perm 400 -exec chmod 644 {} \;
+find . -perm 440 -exec chmod 644 {} \;
+find . -perm 511 -exec chmod 755 {} \;
+find . -perm 711 -exec chmod 755 {} \;
+find . -perm 555 -exec chmod 755 {} \;
+#-----------------------------------------
+
+#CONFIGURE & MAKE
+#----------------------------------------------------------------------
+
+DISTRO=$(echo $CONFIGURE_TRIPLET|cut -d'-' -f2)
+echo $DISTRO
+
+echo "Configuring source..."
+mkdir -p ISO/packages/xconf/
+#get the pkgs. we have a list in $CWD/pkgs. slapt-get from repo?
+slapt-get --update
+for i in $(cat $CWD/pkgs);do
+  dir=$(echo $i|cut -d'/' -f1)
+  pkg=$(echo $i|cut -d'/' -f2)
+  if [ "$pkg" == "kernel" ];then
+	  slapt-get --install --reinstall --download-only --no-dep $KERNEL
+  elif [ "$pkg" == "kernel-modules" ];then
+	  slapt-get --install --reinstall --download-only --no-dep $MODULES
+  else
+      slapt-get --install --reinstall --download-only --no-dep $pkg
+  fi
+  #mv the pkgs.
+  mv /home/ftp/pub/veclinux/packages/$pkg*t?z ISO/packages/$dir/ || exit 1
+done
+
+#mv the kernel from the kernel-pkg to the iso.
+cd ISO/packages/
+mkdir PKG
+cd PKG
+kern="$(ls ../a/kernel-[0-9]*txz)"
+echo "Using $kern"
+explodepkg $kern || exit 1
+mv -v boot/vmlinuz* ../../isolinux/kernel/sata || exit 1
+sed -i '/^if/d' install/doinst.sh
+sed -i '/^fi/d' install/doinst.sh
+makepkg -l y -c n $kern
+cd ../ && rm -r PKG
+kern_ver=$(echo $kern|cut -d'-' -f2)
+
+#Create PACKAGES.TXT in the iso.
+./makeinfo-slack all
+./makeinfo-slapt all
+cd $TMP/$NAME-$VERSION
+
+#copy the veclinux folder to the ISO.
+cp -r $CWD/veclinux ISO
+
+#set the version
+sed -i "s/VERSION/$REL/g" ISO/veclinux/VINSTALL.INI
+sed -i "s/KERNEL/$kern_ver/g" ISO/veclinux/VINSTALL.INI
+sed -i "s/DATE/$(date +%b-%d-%Y)/g" ISO/veclinux/VINSTALL.INI
+sed -i "s/RELID/$(date +%m%d%Y)/g" ISO/veclinux/VINSTALL.INI
+
+#Make initrd with modules that match kernel
+installpkg ISO/packages/a/kernel-modules-$kern_ver*txz
+mkdir -v $TMP/INITRD && cd $TMP/INITRD
+lzcat $CWD/pyinit.lz|cpio -id 
+rm -r lib/modules/*
+cp -v $CWD/modules .
+sh modules $kern_ver
+cp -r $CWD/$THEME /etc/bootsplash/themes/
+echo "Creating $THEME splash file"
+splash -s -f /etc/bootsplash/themes/$THEME/config/bootsplash-800x600.cfg >../bootsplash
+echo "Creating initrd"
+find . | cpio -o -H newc >../init-sm 
+cd ..
+echo "Appending bootsplash to initrd"
+echo bootsplash | cpio -o -H newc >> init-sm
+echo "Compressing initrd"
+xz -F lzma init-sm 
+mv -v init-sm.lzma $TMP/$NAME-$VERSION/ISO/isolinux/init.lz 
+echo "initrd created"
+cd $TMP/$NAME-$VERSION
+
+#copy the ISO splash and message
+cp -v $CWD/$DISTRO/* ISO/isolinux/
+
+#create the iso.
+echo "Creating NEW ISO $CDNAME"
+mkisofs -o "$RELEASEDIR/$CDNAME" -v -J -R -D -A "$CDLABEL" -V "$CDLABEL" \
+-no-emul-boot -boot-info-table -boot-load-size 4 \
+-b isolinux/isolinux.bin -c isolinux/isolinux.boot ISO
+
+cd $RELEASEDIR
+md5sum $CDNAME >$CDNAME.md5sum.txt
+#######################################################################
+#Miscellenious tweaks and things outside a normal ./configure go here #
+#######################################################################
+
+cd $CWD
+echo "Cleaning up temp files..." && rm -rf $TMP
+done
+if [ $PREV32ISO ];then
+  echo "Generating Delta from $PREV32ISO"
+  cd $RELEASEDIR
+  wget 10.0.2.2/pkg/untested/veclinux-7.1/iso/$PREV32ISO
+  wget 10.0.2.2/pkg/untested/veclinux-7.1/iso/$PREV32ISO.md5sum.txt
+  if md5sum -c $PREV32ISO.md5sum.txt;then
+    echo "Generating Delta ${PREV32ISO%iso}to$BUILDNUM.delta"
+    xdelta delta $PREV32ISO $CD32NAME ${PREV32ISO%.iso}to$BUILDNUM.delta
+  fi
+  rm $PREV32ISO*
+fi
+if [ $PREV64ISO ];then
+  echo "Generating Delta from $PREV64ISO"
+  cd $RELEASEDIR
+  wget 10.0.2.2/pkg/untested/veclinux-7.1/iso/$PREV64ISO
+  wget 10.0.2.2/pkg/untested/veclinux-7.1/iso/$PREV64ISO.md5sum.txt
+  if md5sum -c $PREV64ISO.md5sum.txt;then
+    echo "Generating Delta ${PREV64ISO%iso}to$BUILDNUM.delta"
+    xdelta delta $PREV64ISO $CD64NAME ${PREV64ISO%.iso}to$BUILDNUM.delta
+  fi
+  rm $PREV64ISO*
+fi
+ls
+echo "Package Complete"
+fi
+#--------------------------------------------------------------
+
+# vim: set tabstop=4 shiftwidth=4 foldmethod=marker : ##

var/vabs/VL-ISO-LIGHT/src/modules

+#!/bin/bash
+#echo "enter kernel version"
+#read ver
+ver="$1"
+#rm -r lib/modules/2.6.*
+mkdir -p lib/modules/$ver/kernel/drivers
+for i in freq_table.ko \
+mperf.ko \
+joydev.ko \
+processor.ko \
+ioatdma.ko \
+shpchp.ko \
+rtc_cmos.ko \
+i2c_i801.ko \
+rtc_core.ko \
+applesmc.ko \
+thermal_sys.ko \
+pcmcia_core.ko \
+i2c_core.ko \
+i5k_amb.ko \
+rtc_lib.ko \
+dca.ko \
+hwmon.ko \
+sbshc.ko \
+sg.ko \
+button.ko \
+isp1362-hcd.ko \
+isp1760.ko \
+r8a66597-hcd.ko \
+u132-hcd.ko \
+xhci-hcd.ko \
+hidp \
+hidp \
+hid \
+hid-lcpower \
+hid-keytouch \
+hid-ntrig \
+hid-primax \
+hid-multitouch \
+hid-roccat-kovaplus \
+hid-magicmouse \
+hid-holtekff \
+hid-topseed \
+hid-sjoy \
+hid-dr \
+hid-pl \
+hid-gyration \
+hid-sony \
+hid-roccat \
+hid-zpff \
+hid-roccat-arvo \
+hid-waltop \
+hid-elecom \
+hid-gaff \
+hid-ortek \
+hid-samsung \
+hid-tivo \
+hid-tmff \
+hid-picolcd \
+hid-roccat-isku \
+hid-wacom \
+hid-wiimote \
+hid-roccat-pyra \
+hid-uclogic \
+hid-saitek \
+hid-emsff \
+hid-roccat-common \
+hid-roccat-kone \
+hid-zydacron \
+hid-axff \
+hid-prodikeys \
+hid-logitech-dj \
+hid-sunplus \
+hid-petalynx \
+hid-twinhan \
+hid-roccat-koneplus \
+hid-speedlink \
+g_hid \
+keyboard \
+newtonkbd \
+gpio_keys_polled \
+omap4-keypad \
+mpr121_touchkey \
+sunkbd \
+adp5589-keys \
+lkkbd \
+mcs_touchkey \
+matrix_keypad \
+stowaway \
+max7359_keypad \
+tca8418_keypad \
+lm8323 \
+gpio_keys \
+adp5588-keys \
+qt1070 \
+xtkbd \
+qt2160 \
+tca6416-keypad \
+opencores-kbd \
+mouse \
+pc110pad \
+appletouch \
+logibm \
+synaptics_i2c \
+inport \
+vsxxxaa \
+gpio_mouse \
+synaptics_usb \
+bcm5974 \
+adp5588-keys.ko \
+gpio_keys.ko \
+lm8323.ko \
+matrix_keypad.ko \
+max7359_keypad.ko \
+mcs_touchkey.ko \
+opencores-kbd.ko \
+qt2160.ko \
+tca6416-keypad.ko \
+appletouch.ko \
+bcm5974.ko \
+gpio_mouse.ko \
+inport.ko \
+logibm.ko \
+pc110pad.ko \
+synaptics_i2c.ko \
+vsxxxaa.ko \
+evdev.ko \
+input-polldev.ko \
+sparse-keymap.ko \
+usbhid.ko \
+hid.ko \
+psmouse.ko \
+sermouse.ko \
+pcnet32.ko \
+mii.ko;do
+	mod=$(find /lib/modules/$ver/ -name $i)
+	dir="lib/modules/$ver/kernel/drivers"
+	if [ $mod ];then
+		cp $mod $dir
+		echo "copied $mod to $dir"
+	else
+		echo "$i not found in $ver"
+	fi
+	chroot . depmod -aq $ver
+done
+

var/vabs/VL-ISO-LIGHT/src/pkgs

+a/aaa_base
+a/acl
+a/acpid
+a/apmd
+a/attr
+a/bash
+a/bin
+a/bzip2
+a/coreutils
+a/cpio
+a/cpufrequtils
+a/cryptsetup
+a/cups
+a/cups-filters
+a/dbus
+a/dcron
+a/devs
+a/dialog
+a/dosfstools
+a/e2fsprogs
+a/ed
+a/eject
+a/etc
+a/file
+a/findutils
+a/kernel-firmware
+a/floppy
+a/gawk
+a/genpower
+a/gettext
+a/glibc-zoneinfo
+a/gpm
+a/grep
+a/grub2
+a/gzip
+a/hdparm
+a/infozip
+a/inotify-tools
+a/isapnptools
+a/jfsutils
+a/kbd
+a/kernel
+a/kernel-modules
+a/less
+a/lha
+a/libcgroup
+a/lilo
+a/linux_logo
+a/logrotate
+a/lvm2
+a/mingetty
+a/kmod
+a/ms-sys
+a/mt-st
+a/mtx
+a/ncompress
+a/ntfs-3g
+a/os-prober
+a/patch
+a/pciutils
+a/pcmciautils
+a/pkgtools-tukaani
+a/pm-utils
+a/procps
+a/quota
+a/reiserfsprogs
+a/rpm2tgz
+a/sdparm
+a/sed
+a/shadow
+a/sharutils
+a/slapt-get
+a/slocate
+a/smartmontools
+a/splitvt
+a/sysfsutils
+a/sysklogd
+a/syslinux
+a/sysvinit
+a/sysvinit-functions
+a/tar
+a/time
+a/tree
+a/udev
+a/unarj
+a/usb_modeswitch
+a/usbutils
+a/utempter
+a/util-linux
+a/vasm-legacy
+a/vcpufreq
+a/vlart
+a/vlconfig2
+a/vlinit
+a/which
+a/xdelta
+a/xfsprogs
+a/xz
+ap/a2ps
+ap/acct
+ap/alsa-utils
+ap/at
+ap/bc
+ap/bootsplash
+ap/cdparanoia
+ap/cdrdao
+ap/cdrkit
+ap/diffstat
+ap/diffutils
+ap/dmapi
+ap/dvd+rw-tools
+ap/elinks
+ap/enscript
+ap/flac
+ap/foomatic-filters
+ap/gambas2-runtime
+ap/ghostscript
+ap/ghostscript-fonts-std
+ap/groff
+ap/gutenprint
+ap/hibernate-script
+ap/hplip
+ap/htop
+ap/icon-naming-utils
+ap/js
+ap/lftp
+ap/linuxdoc-tools
+ap/lm_sensors
+ap/lsof
+ap/man
+ap/mc
+ap/mpg123
+ap/nano
+ap/openrdate
+ap/pexpect
+ap/pstoedit
+ap/psutil
+ap/python-lxml
+ap/rpm
+ap/screen
+ap/sg3_utils
+ap/sox
+ap/sqlite
+ap/sudo
+ap/sysstat
+ap/texinfo
+ap/tidy
+ap/ufw
+ap/unrar
+ap/vim
+ap/vorbis-tools
+ap/wvdial
+ap/xfsdump
+ap/zsh
+d/arch-makepkg
+d/autoconf
+d/automake
+d/automoc4
+d/binutils
+d/bison
+d/ccache
+d/cmake
+d/cvs
+d/doxygen
+d/fakeroot
+d/flex
+d/gcc
+d/gcc-g++
+d/gdb
+d/gdbm
+d/gettext-tools
+d/git
+d/gperf
+d/guile
+d/intltool
+d/kernel-headers
+d/libtool
+d/lua
+d/m4
+d/make
+d/mercurial
+d/nasm
+d/p2c
+d/perl
+d/pkg-config
+d/python
+d/python-distutils-extra
+d/requiredbuilder
+d/ruby
+d/sbbuilder
+d/setuptools
+d/sip
+d/slacktrack
+d/strace
+d/vala
+d/yasm
+l/ConsoleKit
+l/GConf
+l/ORBit2
+l/Pynetinfo
+l/SDL
+l/SDL_Pango
+l/SDL_Perl
+l/a52dec
+l/aalib
+l/alsa-lib
+l/alsa-oss
+l/apr
+l/apr-util
+l/aspell
+l/aspell-en
+l/atk
+l/atkmm
+l/audiofile
+l/babl
+l/boost
+l/cairo
+l/cairomm
+l/chmlib
+l/clucene
+l/Cython
+l/db44
+l/db
+l/dbus-glib
+l/dbus-python
+l/desktop-file-utils
+l/directfb
+l/djbfft
+l/djvulibre
+l/eggdbus
+l/enchant
+l/epydoc
+l/esound
+l/exiv2
+l/expat
+l/faac
+l/faad2
+l/farsight2
+l/ffmpeg
+l/fftw
+l/freetype
+l/fribidi
+l/fuse
+l/gamin
+l/gc
+l/gd
+l/gdk-pixbuf2
+l/gegl
+l/geoclue
+l/giflib
+l/glew
+l/glib
+l/glib2
+l/glibc
+l/glibmm
+l/gmime
+l/gmp
+l/gmtk
+l/gnome-common
+l/gnome-keyring
+l/libgnome-keyring
+l/gnome-python
+l/gnome-vfs
+l/gnupg
+l/gobject-introspection
+l/goffice
+l/gsl
+l/gsm
+l/gst-plugins-bad
+l/gst-plugins-base
+l/gst-plugins-good
+l/gst-plugins-ugly
+l/gst-python
+l/gstreamer
+l/gtk+
+l/gtk+2
+l/gtk-engines
+l/gtk-murrine-engine
+l/gtkmathview
+l/gtkmm
+l/gtksourceview
+l/gtkspell
+l/gvfs
+l/hicolor-icon-theme
+l/hunspell
+l/hyphen
+l/icu4c
+l/id3lib
+l/ilmbase
+l/imlib
+l/imlib2
+l/iso-codes
+l/jasper
+l/jre
+l/json-c
+l/json-glib
+l/ladspa
+l/lame
+l/lcms
+l/lcms2
+l/libao
+l/libarchive
+l/libart_lgpl
+l/libass
+l/libatasmart
+l/libavc1394
+l/libbonobo
+l/libbonoboui
+l/libburn
+l/libcaca
+l/libcanberra
+l/libcap
+l/libcdaudio
+l/libcddb
+l/libcdio
+l/libcfg+
+l/libcuefile
+l/libdaemon
+l/libdbusmenu-qt
+l/libdc1394
+l/libdca
+l/libdv
+l/libdvdcss
+l/libdvdnav
+l/libdvdplay
+l/libdvdread
+l/libetpan
+l/libev
+l/libexif
+l/libffi
+l/libgee
+l/libgexiv2
+l/libglade
+l/libgnome
+l/libgnomecanvas
+l/libgnomeui
+l/libgphoto2
+l/libgpod
+l/libgsf
+l/libgssglue
+l/libgtop
+l/harfbuzz
+l/libid3tag
+l/libical
+l/libidl
+l/libidn
+l/libiec61883
+l/libieee1284
+l/libiodbc
+l/libimobiledevice
+l/libisofs
+l/libjpeg
+l/liblastfm
+l/redland
+l/libmad
+l/libmcs
+l/libmikmod
+l/libmms
+l/libmng
+l/libmodman
+l/libmowgli
+l/libmp4v2
+l/libmpc
+l/libmpcdec
+l/libmpeg2
+l/libmtp
+l/libmusicbrainz
+l/libnice
+l/libnl
+l/libnotify
+l/libnut
+l/libofa
+l/libogg
+l/liboil
+l/libopenraw
+l/libpcap
+l/libplist
+l/libpng
+l/libproxy
+l/libraw
+l/libraw1394
+l/libreplaygain
+l/librsvg
+l/libsamplerate
+l/libsexy
+l/libshout
+l/libsigc++
+l/libsndfile
+l/libsoup
+l/libtalloc
+l/libtasn1
+l/libtermcap
+l/libtheora
+l/libtiff
+l/libtirpc
+l/libunique
+l/libusb
+l/libva
+l/libvisual
+l/libvisual-plugins
+l/libvorbis
+l/libvpx
+l/libwmf
+l/libwnck
+l/libwpd
+l/libwpg
+l/libwvstreams
+l/libx86
+l/libxdg-basedir
+l/libxklavier
+l/libxml2
+l/libxslt
+l/link-grammar
+l/lirc
+l/lockdev
+l/loudmouth
+l/lzo
+l/meanwhile
+l/mhash
+l/mlt
+l/mpfr
+l/murrine-themes
+l/musepack
+l/ncurses
+l/neon
+l/net-snmp
+l/netkit-rwho
+l/netpbm
+l/notify-python
+l/nspr
+l/mozilla-nss
+l/numpy
+l/opencdk
+l/opencore-amr
+l/openexr
+l/openjpeg
+l/orc
+l/ots
+l/pango
+l/pangomm
+l/parted
+l/pcre
+l/perl-file-desktopentry
+l/pil
+l/pilot-link
+l/podofo
+l/polkit
+l/polkit-gnome
+l/poppler
+l/popt
+l/portaudio
+l/pulseaudio
+l/pycairo
+l/pycups
+l/pygobject
+l/pygtk
+l/pygtksourceview2
+l/pyparted
+l/PyQt
+l/pysmbc
+l/python-cddb
+l/python-mutagen
+l/python-sexy
+l/python-sqlite
+l/qt
+l/qt3
+l/rasqal
+l/raptor
+l/raptor2
+l/readline
+l/rtmpdump
+l/schroedinger
+l/shared-mime-info
+l/shared-desktop-ontologies
+l/slang
+l/speex
+l/startup-notification
+l/svgalib
+l/swig
+l/system-config-printer
+l/t1lib
+l/taglib
+l/tdb
+l/totem-pl-parser
+l/twolame
+l/urwid
+l/usbmuxd
+l/vo-aacenc
+l/vo-amrwbenc
+l/vte
+l/wavpack
+l/webkitgtk
+l/wv
+l/wv2
+l/x264
+l/zlib
+l/libbluray
+n/nettle
+n/NetworkManager
+n/network-manager-applet
+n/autofs
+n/bind
+n/bluez
+n/bluez-firmware
+n/bluez-hcidump
+n/broadcom-sta
+n/ca-certificates
+n/curl
+n/pycurl
+n/cyrus-sasl
+n/dhcpcd
+n/firefox
+n/gnupg2
+n/gnutls
+n/gpgme
+n/gufw
+n/inetd
+n/iptables
+n/iputils
+n/libassuan
+n/libgcrypt
+n/libgpg-error
+n/libksba
+n/ndiswrapper
+n/net-tools
+n/network-scripts
+n/nfs-utils
+n/openldap-client
+n/openssh
+n/openssl
+n/pidentd
+n/pidgin
+n/portmap
+n/ppp
+n/procmail
+n/pth
+n/rp-pppoe
+n/rsync
+n/samba
+n/tcp_wrappers
+n/tcpdump
+n/traceroute
+n/wget
+n/wireless-tools
+n/wpa_supplicant
+tcl/expect
+tcl/tcl
+tcl/tclx
+tcl/tk
+xconf/VL_Theme
+x/appres
+x/bdftopcf
+x/beforelight
+x/bigreqsproto
+x/bitmap
+x/compiz
+x/compositeproto
+x/damageproto
+x/dejavu-fonts-ttf
+x/dmxproto
+x/dri2proto
+x/editres
+x/encodings
+x/evieext
+x/fixesproto
+x/font-adobe-100dpi
+x/font-adobe-75dpi
+x/font-alias
+x/font-bh-ttf
+x/font-bh-type1
+x/font-bitstream-type1
+x/font-cursor-misc
+x/font-misc-misc
+x/font-util
+x/font-xfree86-type1
+x/fontcacheproto
+x/fontconfig
+x/fontsproto
+x/fonttosfnt
+x/freeglut
+x/fslsfonts
+x/fstobdf
+x/gccmakedep
+x/glproto
+x/iceauth
+x/ico
+x/imake
+x/inputproto
+x/intel-gpu-tools
+x/kbproto
+x/libFS
+x/libICE
+x/libSM
+x/libX11
+x/libXScrnSaver
+x/libXau
+x/libXaw
+x/libXaw3d
+x/libXcomposite
+x/libXcursor
+x/libXdamage
+x/libXdmcp
+x/libXevie
+x/libXext
+x/libXfixes
+x/libXfont
+x/libXfontcache
+x/libXft
+x/libXi
+x/libXinerama
+x/libXmu
+x/libXp
+x/libXpm
+x/libXrandr
+x/libXrender
+x/libXres
+x/libXt
+x/libXtst
+x/libXv
+x/libXvMC
+x/libXxf86dga
+x/libXxf86misc
+x/libXxf86vm
+x/libdmx
+x/libdrm
+x/liberation-fonts-ttf
+x/libfontenc
+x/libpciaccess
+x/libpthread-stubs
+x/libxcb
+x/libxkbfile
+x/libcroco
+x/listres
+x/lndir
+x/luit
+x/makedepend
+x/mesa
+x/glu
+x/mtdev
+x/mkcomposecache
+x/mkfontdir
+x/mkfontscale
+x/oclock
+x/pixman
+x/printproto
+x/radeon_ucode
+x/randrproto
+x/recordproto
+x/rendercheck
+x/renderproto
+x/resourceproto
+x/rgb
+x/scrnsaverproto
+x/sessreg
+x/setxkbmap
+x/showfont
+x/smproxy
+x/twm
+x/util-macros
+x/videoproto
+x/viewres
+x/x11perf
+x/xauth
+x/xbacklight
+x/xbiff
+x/xbitmaps
+x/xcalc
+x/xcb-proto
+x/xcb-util
+x/xcb-util-image
+x/xcb-util-wm
+x/xcb-util-renderutil
+x/xcb-util-keysyms
+x/xclipboard
+x/xclock
+x/xcmiscproto
+x/xcmsdb
+x/xcompmgr
+x/xconsole
+x/xcursor-themes
+x/xcursorgen
+x/xdbedizzy
+x/xdg-utils
+x/xditview
+x/xdm
+x/xdpyinfo
+x/xdriinfo
+x/xedit
+x/xev
+x/xextproto
+x/xeyes
+x/xf86-input-acecad
+x/xf86-input-aiptek
+x/xf86-input-evdev
+x/xf86-input-joystick
+x/xf86-input-keyboard
+x/xf86-input-mouse
+x/xf86-input-penmount
+x/xf86-input-synaptics
+x/xf86-input-vmmouse
+x/xf86-input-void
+x/xf86-input-wacom
+x/xf86-video-apm
+x/xf86-video-ark
+x/xf86-video-ast
+x/xf86-video-ati
+x/xf86-video-chips
+x/xf86-video-cirrus
+x/xf86-video-dummy
+x/xf86-video-glint
+x/xf86-video-i128
+x/xf86-video-i740
+x/xf86-video-intel
+x/xf86-video-mach64
+x/xf86-video-mga
+x/xf86-video-neomagic
+x/xf86-video-nouveau
+x/xf86-video-nv
+x/xf86-video-openchrome
+x/xf86-video-r128
+x/xf86-video-radeonhd
+x/xf86-video-rendition
+x/xf86-video-s3
+x/xf86-video-s3virge
+x/xf86-video-savage
+x/xf86-video-siliconmotion
+x/xf86-video-sis
+x/xf86-video-tdfx
+x/xf86-video-tga
+x/xf86-video-trident
+x/xf86-video-v4l
+x/xf86-video-vesa
+x/xf86-video-vmware
+x/xf86-video-voodoo
+x/xf86bigfontproto
+x/xf86dga
+x/xf86dgaproto
+x/xf86driproto
+x/xf86miscproto
+x/xf86vidmodeproto
+x/xfd
+x/xfontsel
+x/xfs
+x/xfsinfo
+x/xgamma
+x/xgc
+x/xhost
+x/xineramaproto
+x/xinit
+x/xinput
+x/xkbcomp
+x/xkbevd
+x/xkbprint
+x/xkbutils
+x/xkeyboard-config
+x/xkill
+x/xload
+x/xlogo
+x/xlsatoms
+x/xlsclients
+x/xlsfonts
+x/xmag
+x/xman
+x/xmessage
+x/xmh
+x/xmodmap
+x/xmore
+x/xorg-cf-files
+x/xorg-docs
+x/xorg-server
+x/xorg-server-xnest
+x/xorg-sgml-doctools
+x/xpr
+x/xprop
+x/xproto
+x/xpyb
+x/xrandr
+x/xrdb
+x/xrefresh
+x/xscope
+x/xset
+x/xsetroot
+x/xsm
+x/xstdcmap
+x/xterm
+x/xtrans
+x/xvidtune
+x/xvinfo
+x/xwd
+x/xwininfo
+x/xwud
+xap/MPlayer
+xap/PySolFC
+xap/abiword
+xap/aiksaurus
+xap/awesome
+xap/brasero2
+xap/dia
+xap/epdfview
+xap/exaile
+xap/flashplugin
+xap/fluxbox
+xap/galculator
+xap/gdm
+xap/geany
+xap/geany-plugins
+xap/gecko-mediaplayer
+xap/geeqie
+xap/gftp
+xap/gimp
+xap/gkrellm
+xap/gksu
+xap/gnome-mplayer
+xap/gnumeric
+xap/grip
+xap/gslapt
+xap/gucharmap
+xap/imagemagick
+xap/jpilot
+xap/ktsuss
+xap/sane
+xap/slim
+xap/tango-icon-theme
+xap/tuxcards
+xap/umplayer
+xap/v4l-utils
+xap/vlgui
+xap/x11-ssh-askpass
+xap/xarchiver
+xap/xchat
+xap/xdialog
+xap/xlockmore
+xap/xsane
+xap/xscreensaver
+xap/xvidcore
+xap/zenity
+xfce/Terminal
+xfce/avahi
+xfce/glade3
+xfce/gnome-disk-utility
+xfce/leafpad
+xfce/media-player-info
+xfce/orage
+xfce/thunar-volman
+xfce/udisks
+xfce/udisks2
+xfce/upower
+xfce/Thunar
+xfce/exo
+xfce/garcon
+xfce/gtk-xfce-engine
+xfce/libxfce4ui
+xfce/libxfce4util
+xfce/tumbler
+xfce/xfce4-appfinder
+xfce/xfce4-panel
+xfce/xfce4-session
+xfce/xfce4-settings
+xfce/xfconf
+xfce/xfdesktop
+xfce/xfwm4
+xfce/Terminal
+xfce/xfce4-mixer
+xfce/xfce4-notifyd
+xfce/xfce4-power-manager
+xfce/xfce4-screenshooter

var/vabs/VL-ISO-LIGHT/src/slapt-getrc

+WORKINGDIR=/home/ftp/pub/veclinux/packages
+EXCLUDE=
+#SOURCE=192.168.56.1/pkg/untested/veclinux-7.1/ARCH
+SOURCE=10.0.2.2/pkg/untested/veclinux-7.1/ARCH

var/vabs/VL-ISO-LIGHT/src/std-7-Boot/config/bootsplash-800x600.cfg

+# This is the configuration file for the 800x600 bootsplash picture
+# 
+# This file is necessary to specify the coordinates of the text box on
+# the splash screen.
+# 
+
+
+# config file version
+version=3
+
+# should the picture be displayed?
+state=1
+
+# fgcolor is the text forground color.
+# bgcolor is the text background (i.e. transparent) color.
+fgcolor=7
+bgcolor=0
+
+# name of the picture file (full path recommended)
+jpeg=/etc/bootsplash/themes/std-7-Boot/images/bootsplash-800x600.jpg
+silentjpeg=/etc/bootsplash/themes/std-7-Boot/images/silent-800x600.jpg
+
+# (tx, ty) are the (x, y) coordinates of the text window in pixels.
+# tw/th is the width/height of the text window in pixels.
+tx=75
+ty=35
+tw=670
+th=445
+
+progress_enable=1
+
+# background
+# b(order) or i(nter)
+box silent noover 176 478 651 498 #ffffff00
+# progress bar
+#box silent inter  176 479 176 497 #79f2ff #0f2c78 #79f2ff #0f2c78
+#box silent        176 479 651 497 #79f2ff #0f2c78 #79f2ff #0f2c78
+# black border (top, bottom, left, right)
+#box silent        176 478 651 478 #313234
+#box silent        176 498 651 498 #889499
+#box silent        176 478 176 498 #313234
+#box silent        651 478 651 498 #889499
+
+# text box
+# box noover        35 34 754 535 #000000e2
+
+overpaintok=1
+
+# (ax, ay) are the (x, y) coordinates for playing boot/shutdown animations
+ax=200
+ay=200
+
+
+
Add a comment to this file

var/vabs/VL-ISO-LIGHT/src/std-7-Boot/images/bootsplash-800x600.jpg

Added
New image
Add a comment to this file

var/vabs/VL-ISO-LIGHT/src/std-7-Boot/images/silent-800x600.jpg

Added
New image

var/vabs/VL-ISO-LIGHT/src/std-71/config/bootsplash-800x600.cfg

+# This is the configuration file for the 800x600 bootsplash picture
+# 
+# This file is necessary to specify the coordinates of the text box on
+# the splash screen.
+# 
+
+# config file version
+version=3
+
+# should the picture be displayed?
+state=1
+
+# fgcolor is the text forground color.
+# bgcolor is the text background (i.e. transparent) color.
+fgcolor=7
+bgcolor=0
+
+# name of the picture file (full path recommended)
+jpeg=/etc/bootsplash/themes/std-71/images/bootsplash-800x600.jpg
+silentjpeg=/etc/bootsplash/themes/std-71/images/silent-800x600.jpg
+
+# (tx, ty) are the (x, y) coordinates of the text window in pixels.
+# tw/th is the width/height of the text window in pixels.
+tx=75
+ty=35
+tw=670
+th=445
+
+progress_enable=1
+
+# background
+# b(order) or i(nter)
+box silent noover 176 478 651 498 #ffffff00
+# progress bar
+#box silent inter  176 479 176 497 #79f2ff #0f2c78 #79f2ff #0f2c78
+#box silent        176 479 651 497 #79f2ff #0f2c78 #79f2ff #0f2c78
+# black border (top, bottom, left, right)
+#box silent        176 478 651 478 #313234
+#box silent        176 498 651 498 #889499
+#box silent        176 478 176 498 #313234
+#box silent        651 478 651 498 #889499
+
+# text box
+# box noover        35 34 754 535 #000000e2
+
+overpaintok=1
+
+# (ax, ay) are the (x, y) coordinates for playing boot/shutdown animations
+ax=200
+ay=200
+
+
+
Add a comment to this file

var/vabs/VL-ISO-LIGHT/src/std-71/images/bootsplash-800x600.jpg

Added
New image
Add a comment to this file

var/vabs/VL-ISO-LIGHT/src/std-71/images/silent-800x600.jpg

Added
New image

var/vabs/VL-ISO-LIGHT/src/veclinux/BASEAPPS

+a2ps
+acct
+alsa-utils
+amp
+ash
+at
+aumix
+bc
+bootsplash
+bpe
+cdparanoia
+cdrdao
+cdrkit
+dc3dd
+diffstat
+diffutils
+dmapi
+dmidecode
+dvd+rw-tools
+enscript
+flac
+foomatic-filters
+ghostscript
+ghostscript-fonts-std
+gphoto2
+gnome-doc-utils
+gtk-doc
+groff
+ispell
+jed
+joe
+jove
+ksh93
+libx86
+linux_logo
+linuxdoc-tools
+lm_sensors
+lsof
+lsscsi
+madplay
+man
+man-pages
+mc
+most
+mpg321
+ms-sys
+mysql
+nano
+normalize
+ntfsprogs
+pkgtools-tukaani
+pm-utils
+powertop
+radeontool
+rexima
+rpm
+rzip
+sc
+screen
+seejpeg
+slackpkg
+sox
+sqlite
+sudo
+sysstat
+system-config-printer
+texinfo
+tidy
+vbetool
+vim
+vorbis-tools
+workbone
+wvdial
+xfsdump
+zsh

var/vabs/VL-ISO-LIGHT/src/veclinux/CD2/ATI

+ATI graphic driver source code
+vlati

var/vabs/VL-ISO-LIGHT/src/veclinux/CD2/FUN

+Entertainment Software packages
+kdegames
+ktorrent
+kdetoys

var/vabs/VL-ISO-LIGHT/src/veclinux/CD2/JRE

+Java Runtime Environment
+jre

var/vabs/VL-ISO-LIGHT/src/veclinux/CD2/KDE-DEV

+KDE Software development
+qtscriptgenerator
+kdesdk

var/vabs/VL-ISO-LIGHT/src/veclinux/CD2/KERNEL-src

+Kernel source files
+kernel-src

var/vabs/VL-ISO-LIGHT/src/veclinux/CD2/LANG

+KDE4 Language packages
+kde-l10n-de
+kde-l10n-es
+kde-l10n-fr
+kde-l10n-ru 

var/vabs/VL-ISO-LIGHT/src/veclinux/CD2/MEDIA

+Multimedia software packages
+amarok
+kaudiocreator
+libmtp
+loudmouth
+smart
+taglib-extras
+

var/vabs/VL-ISO-LIGHT/src/veclinux/CD2/NVIDIA

+NVIDIA graphic driver source code
+vlnvidia

var/vabs/VL-ISO-LIGHT/src/veclinux/CD2/OFFICE

+Office productivity packages
+koffice
+openoffice.org
+inkscape
+scribus
+cairomm
+gtkmm
+glibmm
+GConf
+ORBit2
+gnome-vfs
+opera

var/vabs/VL-ISO-LIGHT/src/veclinux/DEV

+arch-makepkg
+autoconf
+automake
+automoc4
+binutils
+bison
+ccache
+cmake
+cvs
+doxygen
+fakeroot
+flex
+gambas2
+gcc
+gcc-g++
+gdb
+gettext-tools
+git
+gperf
+guile
+intltool
+kernel-headers
+libtool
+lua
+m4
+make
+mercurial
+nasm
+p2c
+perl
+pkg-config
+python
+python-distutils-extra
+requiredbuilder
+sbbuilder
+setuptools
+ruby
+slacktrack
+strace
+swig
+vala
+yasm

var/vabs/VL-ISO-LIGHT/src/veclinux/LIBS

+a52dec
+libdbusmenu-qt
+aalib
+alsa-lib
+alsa-oss
+apr
+apr-util
+aspell
+aspell-en
+audiofile
+babl
+boost
+chmlib
+clucene
+db44
+db
+dbus-glib
+dbus-python
+directfb
+djbfft
+djvulibre
+eggdbus
+enchant
+epydoc
+esound
+exiv2
+expat
+faac
+faad2
+ffmpeg
+fftw
+freetype
+fribidi
+fuse
+gamin
+GConf
+gd
+gdbm
+gegl
+geoclue
+giflib
+glib
+glib2
+glibc
+gmime
+gmp
+gsm
+gst-ffmpeg
+gst-plugins-bad
+gst-plugins-base
+gst-plugins-good
+gst-plugins-ugly
+gst-python
+gstreamer
+guile
+hunspell
+icu4c
+id3lib
+ilmbase
+imlib
+iso-codes
+jasper
+jre
+json-glib
+ladspa
+lame
+lastfm
+lcms
+lesstif
+libao
+libarchive
+libart_lgpl
+liba52dec
+libavc1394
+libburn
+libcaca
+libcanberra
+libcap
+libcdaudio
+libcddb
+libcdio
+libcfg+
+libcgroup
+libdc1394
+libdca
+libdiscid
+libdv
+libdvdcss
+libdvdread
+libdvdnav
+libdvdplay
+libexif
+libffi
+libgee
+libgexiv2
+libgphoto2
+libgpod
+libgsf
+libgtop
+libical
+Pynetinfo
+libid3tag
+libidl
+libidn
+libieee1284
+libiodbc
+libimobiledevice
+libisofs
+libjpeg
+liblastfm
+libmad
+libmcs
+libmikmod
+libmms
+libmng
+libmodman
+libmowgli
+libmpc
+libmpcdec
+libmpeg2
+libmp4v2
+libmtp
+libmusicbrainz
+libnl
+libnotify
+libnut
+libogg
+liboil
+libpcap
+libplist
+libpng
+libproxy
+libraw
+libraw1394
+librsvg
+libsamplerate
+libsexy
+libshout
+libsoup
+libtalloc
+libtermcap
+libtheora
+libtiff
+libunique
+libusb
+libvisual
+libvisual-plugins
+libvorbis
+libvpx
+libwmf
+libwnck
+libwpd
+libwpg
+libwvstreams
+libxklavier
+libxml2
+libxslt
+link-grammar
+lockdev
+loudmouth
+lzo
+meanwhile
+mhash
+mm
+mpfr
+mpg123
+musepack
+ncurses
+neon
+netpbm
+notify-python
+nspr
+nss
+numpy
+opencore-amr
+opencdk
+openexr
+openjpeg
+openrdate
+orc
+ots
+parted
+pcap
+pcre
+pil
+podofo
+pilot-link
+polkit
+popt
+pyparted
+pysmbc
+python-cddb
+python-mutagen
+python-sexy
+python-sqlite
+raptor
+rasqal
+readline
+redland
+rtmpdump
+schroedinger
+shared-desktop-ontologies
+shared-mime-info
+sip
+slang
+speex
+startup-notification
+svgalib
+swig
+system-config-printer
+t1lib
+taglib
+totem-pl-parser
+twolame
+urwid
+usbmuxd
+v4l-utils
+vte
+wavpack
+w32codecs
+webkitgtk
+wv
+wv2
+x264
+xulrunner
+xvidcore
+zlib
+gc
+gsl
+hyphen
+libsndfile
+imlib2
+libev
+libxdg-basedir
+farsight2
+libnice
+libetpan
+libiec61883
+liblrdf
+libofa
+libopenraw
+lirc
+libbluray
+portaudio
+pulseaudio
+json-c
+tdb
+Cython
+db
+libtirpc
+libva
+mlt
+vo-aacenc
+vo-amrwbenc

var/vabs/VL-ISO-LIGHT/src/veclinux/NET

+alpine
+autofs
+biff+comsat
+bind
+bluez
+bluez-firmware
+bluez-hcidump
+bluez-libs
+bluez-utils
+bootp
+bridge-utils
+bsd-finger
+crda
+curl
+cyrus-sasl
+dhcp
+dhcpcd
+dirmngr
+dnsmasq
+elm
+epic4
+ethtool
+fetchmail
+getmail
+gnupg
+gnupg2
+gnutls
+gpa
+gpgme
+gufw
+htdig
+httpd
+icmpinfo
+imapd
+inetd
+iproute2
+iptables
+iptraf
+iputils
+ipw2100-fw
+ipw2200-fw
+iw
+lftp
+libassuan
+libgcrypt
+libgpg-error
+libksba
+nc
+net-snmp
+net-tools
+netkit-rwho
+network-scripts
+nfs-utils
+openldap-client
+openssh
+openssl
+pidentd
+portmap
+ppp
+procmail
+pth
+rp-pppoe
+rsync
+samba
+tcp_wrappers
+tcpdump
+traceroute
+ufw
+uucp
+wget
+whois
+wireless-tools
+wpa_supplicant
+iputils
+nettle
+mozilla-nss
+NetworkManager
+network-manager-applet
+pycurl

var/vabs/VL-ISO-LIGHT/src/veclinux/OPTIONAL

+abiword
+brasero
+chestnut-dialer
+gnumeric
+gutenprint
+hplip
+inkscape
+jpilot
+ndiswrapper
+opera
+PySolFC
+tuxcards
+broadcom-sta
+gthumb
+awesome

var/vabs/VL-ISO-LIGHT/src/veclinux/TCL

+expect
+hfsutils
+tcl
+tclx
+tix
+tk

var/vabs/VL-ISO-LIGHT/src/veclinux/VECLINUX

+aaa_base
+acl
+acpid
+apmd
+attr
+bash
+bin
+bzip2
+coreutils
+cpio
+cpufrequtils
+cryptsetup
+cups
+dbus
+dcron
+devs
+dialog
+dosfstools
+e2fsprogs
+e2fsprogs-libs
+ed
+eject
+etc
+file
+findutils
+floppy
+gambas2-runtime
+gawk
+genpower
+gettext
+glibc-zoneinfo
+gpm
+grep
+grub2
+gzip
+hdparm
+hibernate-script
+htop
+infozip
+inotify-tools
+isapnptools
+jfsutils
+kbd
+kernel
+kernel-modules
+kernel-firmware
+less
+lha
+lilo
+logrotate
+lvm2
+mdadm
+mingetty
+minicom
+mkinitrd
+kmod
+mt-st
+mtx
+ncompress
+ntfs-3g
+os-prober
+patch
+pciutils
+pcmciautils
+pexpect
+pkgtools
+procps
+psutil
+quota
+reiserfsprogs
+rpm2tgz
+sdparm
+sed
+shadow
+sharutils
+slapt-get
+slocate
+smartmontools
+splitvt
+sysfsutils
+sysklogd
+syslinux
+sysvinit
+sysvinit-functions
+tar
+time
+tree
+udev
+unarj
+unrar
+usb_modeswitch
+usbutils
+utempter
+vasm
+vasm-legacy
+vcpufreq
+vlart
+vlconfig
+vlinit
+which
+xdelta
+xfsprogs
+xz
+util-linux
+elinks
+js
+ca-certificates
+perl-xml-parser
+expect
+hfsutils
+tcl
+tclx
+tix
+tk

var/vabs/VL-ISO-LIGHT/src/veclinux/VINSTALL.INI

+# VLocity LINUX SETUP INFO
+
+[general]
+distro="Vlocity Linux"
+version="VERSION"
+base="New VL Base"
+build_date="DATE"
+release_id="RELID"
+multi_cd="0"
+multi_single="0"
+media_id="1"
+
+# The following is probably not necessary.
+[min_requirements]
+root="3800"
+home="500"
+swap="128"
+
+# List the required software here. These are bulks that MUST be installed.
+# These are not offered to the user @ install time.
+# The key MUST be a valid file name in the cd's veclinux directory.
+# THE KEY VALUES ARE CASE SENSITIVE... AS THE FILE NAMES ARE
+[bulks/required]
+VECLINUX="Basic VLocity system"
+BASEAPPS="Basic system applications"
+NET="Network tools and applications"
+LIBS="Base System libraries"
+# List the optional bulks to be offered to the user at install time.
+# The key MUST be a valid file name in the cd's veclinux directory.
+# THE KEY VALUES ARE CASE SENSITIVE ... AS THE FILE NAMES ARE
+
+[bulks/optional]
+X11="X base system."
+Xap="X programs and support"
+DEV="Software development tools and libraries."
+XFCE="XFCE4 desktop system"
+OPTIONAL="Additional optional Apps"
+# List include localization packages and their location
+# The location is the media ID (1 or 2) as in disc / ISO number
+# The is really a package list (valid package base names from the image) and their short description.
+
+[localization/location]
+locales_media_location="2"
+[localization/list]
+kde-l10n-de="German"
+kde-l10n-es="Spanish"
+kde-l10n-fr="French"
+kde-l10n-ru="Russian"